org.apache.ignite.internal.processors.cache

## Class CacheEntrySerializablePredicate

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntrySerializablePredicate

All Implemented Interfaces:
  Serializable, CacheEntryPredicate, IgnitePredicate<GridCacheEntryEx>, Message

    public class CacheEntrySerializablePredicate
    extends Object
    implements CacheEntryPredicate

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CacheEntrySerializablePredicate()` Required by `Message`.
`CacheEntrySerializablePredicate(CacheEntryPredicate p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(GridCacheEntryEx e)` Predicate body.
`short` `directType()` Gets message type.
`void` `entryLocked(boolean locked)`
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(GridCacheContext ctx, ClassLoader ldr)`
`void` `onAckReceived()` Method called when ack message received.
`CacheEntryPredicate` `predicate()`
`void` `prepareMarshal(GridCacheContext ctx)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheEntrySerializablePredicate

    public CacheEntrySerializablePredicate()

Required by `Message`.

#### CacheEntrySerializablePredicate

    public CacheEntrySerializablePredicate(CacheEntryPredicate p)

Parameters:
  `p` - Serializable predicate.

### Method Detail

#### predicate

    public CacheEntryPredicate predicate()

Returns:
  Predicate.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### entryLocked

    public void entryLocked(boolean locked)

Specified by:
  `entryLocked` in interface `CacheEntryPredicate`
Parameters:
  `locked` - Entry locked

#### finishUnmarshal

    public void finishUnmarshal(GridCacheContext ctx,
                                ClassLoader ldr)
                         throws IgniteCheckedException

Specified by:
  `finishUnmarshal` in interface `CacheEntryPredicate`
Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### prepareMarshal

    public void prepareMarshal(GridCacheContext ctx)
                        throws IgniteCheckedException

Specified by:
  `prepareMarshal` in interface `CacheEntryPredicate`
Parameters:
  `ctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### apply

    public boolean apply(GridCacheEntryEx e)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<GridCacheEntryEx>`
Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019